Subject: Re: bug#10381: 24.0.92; delete-other-windows-vertically depends on the window split order

From: Sam Steingold <[email-masked]>
Date: Wed, 28 Dec 2011 12:50:34 -0500

> * martin rudalics <[email-masked]> [2011-12-28 10:50:23 +0100]:
>
>> `delete-other-windows-vertically' behavior depends on the order in which
>> the windows were created.
>
> Yes.
>
>> M-x delete-other-windows-vertically RET
>>
>> now there are 3 windows like this:
>> -------
>> |     |
>> -------
>> |  |  |
>> -------
>>
>> which is _WRONG_.
>
> Why?

Because in this case delete-other-windows-vertically deletes windows
horizontally.
I would have understood if the function did _nothing_, but deleting
windows horizontally is clearly wrong.

> Your doc-string says
>
>   Delete the windows in the same column with WINDOW, but not WINDOW itself.
>
> That sentence is vague but doesn't contradict what the function does.

this makes for a very unintuitive notion of a column.

> If you want the function do something different, I'd suggest reading
> section 28.2 Windows and Frames of the Elisp manual first and make
> yourself acquainted with internal windows.  Then you will probably
> understand that the behavior you apparently strive for cannot be
> obtained when the first split of a frame's root window creates windows
> one above the other.

this is very unfortunate.

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 11.10 (oneiric) X 11.0.11004000
http://www.PetitionOnline.com/tap12009/ http://memri.org http://dhimmi.com
http://pmw.org.il http://jihadwatch.org http://palestinefacts.org
A professor is someone who talks in someone else's sleep.